

<link href="//maxcdn.bootstrapcdn.com/bootstrap/4.1.1/css/bootstrap.min.css" rel="stylesheet" id="bootstrap-css">
<script src="//maxcdn.bootstrapcdn.com/bootstrap/4.1.1/js/bootstrap.min.js"></script>
<script src="//cdnjs.cloudflare.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>


<div class="container-fluid">


<!------ Include the above in your HEAD tag ---------->

<link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.1.0/css/all.css" integrity="sha384-lKuwvrZot6UHsBSfcMvOkWwlCMgc0TaWr+30HWe3a4ltaBwTZhyTEggF5tJv8tbt" crossorigin="anonymous">
<div class="container">
    <br/>
	<div class="row justify-content-center">
                        <div class="col-12 col-md-10 col-lg-8">
                            <form class="card card-sm">
                                <div class="card-body row no-gutters align-items-center">
                                    <div class="col-auto">
                                        <i class="fas fa-search h4 text-body"></i>
                                    </div>
                                    <!--end of col-->
                                    <div class="col">
                                        <input class="form-control form-control-lg form-control-borderless" type="search"  #searchItem (input)="searchItemProvider(searchItem.value)" placeholder="Insira a linha desejada" id="busca">
                                    </div>
                                    <!--end of col-->
                                    <div class="col-auto">
                                      <button type="button"  (click)="getfilterlist(); " class="btn btn-primary " action data-toggle="modal" data-target="#search" >Procurar</button>
                                    </div>
                                    <!--end of col-->
                                </div>
                            </form>
                        </div>
                        <!--end of col-->
                    </div>
</div>

<div class="modal" id="search" href="javascript:void()">
  <div class="modal-dialog modal-lg">
    <div class="modal-content">

            <div class="modal-header">
              <h5 class="modal-title">Pesquisa Personalizada</h5>
              <button type="button" (click)="clearVal()" class="close" data-dismiss="modal" aria-label="Fechar">
                <span aria-hidden="true" >&times;</span>
              </button>
            </div>
            <div class="modal-body">
              <div class="modal-body" >
                <div class="container-fluid">
                  <table class="table table-hover">
                  <thead>
                    <tr>
                      <th scope="col">Id linha</th>
                      <th scope="col">Nome linha</th>
                      <th scope="col">Código linha</th>
                      <th scope="col"></th>

                    </tr>
                  </thead>
                  <tbody>
                    <tr *ngFor="let item of linhasFiltradas">
                      <td>{{item.id}}</td>
                      <td>{{item.nome}}</td>
                      <td>{{item.codigo}}</td>
                      <td><button class="btn btn-primary" [routerLink]="['/itinerario', item.id]" data-dismiss="modal">Itinerário</button></td>
                    </tr>

                  </tbody>
                </table>
                        </div>

                        </div>

            </div>
            <div class="modal-footer">
              <button type="button" (click)="clearVal()" class="btn btn-primary" data-dismiss="modal">Fechar</button>


            </div>
          </div>
        </div>
      </div>






<table class="table  table-hover">
  <thead>
    <tr>
      <th scope="col">Id linha</th>
      <th scope="col">Nome linha</th>
      <th scope="col">Codigo linha</th>
      <th scope="col"></th>
    </tr>
  </thead>
  <tbody>
    <tr *ngFor="let item of linhas">
      <td>{{item.id}}</td>
      <td>{{item.nome}}</td>
      <td>{{item.codigo}}</td>
      <td><button class="btn btn-primary" [routerLink]="['/itinerario', item.id]">itinerario</button></td>
    </tr>

  </tbody>
</table>
</div>
